Retrieves all unavailabilities
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "d7b663e6-920a-4bcc-98e0-9bdf64b40c6d",
"date_start": "2026-10-30T12:50:50.7337728+00:00",
"date_end": "2026-10-30T12:50:50.7337728+00:00",
"modified_dateutc": "2026-10-30T12:50:50.7337728+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "7bf1a73e-c35a-4bb2-9041-01cd20cbe4b5",
"user_code": "sample string 8",
"user": {
"id": "6ae7d435-c16d-4a10-8ad5-8310517bdda0",
"db_language_id": "cfbca73a-1295-446c-872a-49645a59be13",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-30T12:50:50.7337728+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "7abd1b48-57fd-4b48-a87e-9c09cb43dfd1",
"sales_organization": {
"id": "9ce23e58-9c9b-41dd-a349-9df497213715",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "30a30c98-037b-4b36-aff2-55aba57dbcf8",
"db_currency_id": "4f8b1179-e990-4fc3-9298-d5cb39d11cce",
"db_language_id": "d9783a21-093b-425e-b22e-f1a94a8c03a6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T12:50:50.7503917+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "2c0bb2d2-6d4b-4465-8a2a-4a025b9b24c9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "a0a1dfe1-6831-41a0-b8e2-530cc4cd5bfe",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-30T12:50:50.7503917+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "389d3573-340b-41d6-9798-5d04ae35b805"
},
"user_unavailability_type_id": "2db025a6-357f-4827-8520-1cc739f59d46",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "40ade9fb-e760-49dd-a2ad-5706b0225cf4",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "32e0b1d1-5530-4b7f-87fc-9fccb50ea576",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "9ce23e58-9c9b-41dd-a349-9df497213715",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "30a30c98-037b-4b36-aff2-55aba57dbcf8",
"db_currency_id": "4f8b1179-e990-4fc3-9298-d5cb39d11cce",
"db_language_id": "d9783a21-093b-425e-b22e-f1a94a8c03a6",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T12:50:50.7503917+00:00"
},
"modified_dateutc": "2026-10-30T12:50:50.7503917+00:00"
}
}